Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
Get Aggregator
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id} \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
import requests

url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}"

headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};

fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "api_version": "v1",
  "data": {
    "id": "2",
    "token": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
    "partner_id": "partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c",
    "bank_account_id": "acc_c03a57cb-a616-42a7-b1dc-de473217a558",
    "name": "DLocal",
    "is_active": true,
    "is_super": true,
    "vault_enabled": true,
    "bank_account": {
      "id": "11",
      "token": "acc_c03a57cb-a616-42a7-b1dc-de473217a558",
      "vault_token": "lock_464309f2-572f-493f-8272-e503277b06fd",
      "title": "JFIZG",
      "iban": "PK85HABB0002157901170103",
      "redacted_iban": "PK85HABB************0103",
      "hashed_iban": "MioWSkE1a8HST07eqMVnfz/zZIzPFqhKGMIjDTOjPWc=",
      "servicer": "HABBPKKARTG",
      "bank": "",
      "depositor_id": "dep_31b1166f-de14-4e66-ba4a-2a321ca55a77",
      "owner": "raast",
      "kind": 5,
      "version": "v1",
      "created_at": "2025-03-13T09:12:35Z",
      "updated_at": "2025-12-04T13:22:23Z"
    },
    "keys": [
      {
        "id": "2",
        "token": "ak_fa66e6f5-cd88-4d8a-8fe7-0eb1898d20a3",
        "key_id": "key_452442dc-d6b3-4cbb-bcc6-8781ef2d3498",
        "aggregator_id": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
        "is_active": true,
        "name": "Staging key",
        "secret": "18108aad30da06075e6f02fab3166926827538363842185faf6e3e694ea5d481",
        "created_at": "2025-03-13T09:12:51Z",
        "updated_at": "2025-03-13T09:12:51Z"
      },
      {
        "id": "4",
        "token": "ak_da8f1c10-346a-4be8-895a-b6187a9a9662",
        "key_id": "key_28d69595-4ae4-4645-b9d8-300fa5211845",
        "aggregator_id": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
        "is_active": true,
        "name": "prod key",
        "secret": "23052bb4602992643b8cd3aaee10a1054a5b071a2ecd3bf2e39ba5072ad3f4cd",
        "created_at": "2025-05-23T10:02:26Z",
        "updated_at": "2025-08-05T12:51:05Z"
      }
    ],
    "created_at": "2025-03-13T09:12:34Z",
    "updated_at": "2025-12-04T15:39:33Z"
  }
}
{
  "code": "error.not_found",
  "message": "Requested resource not found"
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Response

This response contains details of an aggregator

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Aggregator resource found for the supplied identifier